#version 330 core

uniform sampler2D spriteTex;
uniform vec3 lightColor;

out vec4 outColor1;

void main()
{
	vec2 originOffset = gl_PointCoord * 2 - 1.0;
	vec4 modulation = vec4(0.0);
	modulation.xyz += 0.1 / length(originOffset);

	outColor1 = texture(spriteTex, gl_PointCoord) * vec4(lightColor, 1.0) + modulation;
}